Program EnvDos;

{	A sample program illustrating the uses of the DosEnv Unit functions.	}

Uses DosEnv;

{ I UPSTR.PAS}
{	Convert lowerStr to uppercase	}

function UpStr(var lowerStr : String) : String;

var i,l : Integer;

begin
	i := 1;
	l := Length(lowerStr);
	while i <= l do
	begin
		lowerStr[i] := UpCase(lowerStr[i]);
		i := i + 1;
	end;
	UpStr := lowerStr;
end;


var envStr, envValue, pStr : String;
	errorLevel : Word;
    parmNumber : Integer;

begin
	if (ParamCount = 1) and (ParamStr(1) = '?') then
	begin
		Writeln('ENVDOS Version 1.0 Copyright 1987 by Lawrence R. Steeger');
		Writeln;
		Writeln('A sample program illustrating the uses of the DosEnv Unit.');
		Writeln;
		Writeln('     Syntax:	ENVDOS	[?] | [envstring1[.. envstringn]]');
		Writeln;
		Writeln('   Operands:	?	display program syntax');
		Writeln;
		Writeln('		envstring1..envstringn');
		Writeln;
		Writeln('			specifies one or more DOS environment names');
		Writeln('			separated by spaces to be displayed');
		Writeln;
		Writeln('ERRORLEVELS:	0	program successful');
		Writeln('		1	syntax displayed');
		Writeln('		255	envstring not found');
		Writeln;
		Halt(1);
	end;

	errorLevel := 0;

	if ParamCount > 0 then
	begin
		parmNumber := 1;
		while parmNumber <= ParamCount do
		begin
			envStr := ParamStr(parmNumber);
			envValue := EnvString(UpStr(envStr));
			if envValue = '' then
				begin
					Writeln(envStr + ' not found');
					errorLevel := 255;
				end
			else Writeln(envStr + '=' + envValue);
			Inc(parmNumber);
		end;
		Halt(errorLevel);
	end;

	Writeln(' EXEC: ' + EnvPath);
	parmNumber := 1;
	envValue := EnvName(parmNumber);
	while envValue <> '' do
	begin
		Str(parmNumber:5, pStr);
		Writeln(pStr + ': ' + envValue + '=' + EnvString(envValue));
		Inc(parmNumber);
		envValue := EnvName(parmNumber);
	end;
	Halt(0);

end.